cURL
curl --request GET 'https://api.brightalk.ai/contacts/con_demo_001' \
--header "Authorization: Bearer $BRIGHTALK_API_KEY" \
--header "Brightalk-Version: 2026-07-16"const response = await fetch("https://api.brightalk.ai/contacts/con_demo_001", {
method: "GET",
headers: {
Authorization: `Bearer ${process.env.BRIGHTALK_API_KEY}`,
"Brightalk-Version": "2026-07-16",
},
});
console.log(response.status, await response.json());import os
import requests
response = requests.request(
"GET",
"https://api.brightalk.ai/contacts/con_demo_001",
headers={
"Authorization": f"Bearer {os.environ['BRIGHTALK_API_KEY']}",
"Brightalk-Version": "2026-07-16",
},
)
print(response.status_code, response.json()){
"id": "con_demo_001",
"external_id": "customer-8421",
"source": "public_api",
"name": "Example Customer",
"phone_number": "+12025550123",
"email": "customer@example.com",
"company": "Example Co.",
"role": "Operations Manager",
"city": "Taipei",
"country": "TW",
"created_at": "2026-07-20T01:00:00Z",
"updated_at": "2026-07-20T01:00:00Z"
}Contacts
取得聯絡人
依不透明識別碼傳回組織的一位聯絡人。每個回應都包含 Brightalk-Version 與 X-Request-Id;受到速率限制的回應還會提供實際套用之配額群組的計數器。
GET
/
contacts
/
{contact_id}
cURL
curl --request GET 'https://api.brightalk.ai/contacts/con_demo_001' \
--header "Authorization: Bearer $BRIGHTALK_API_KEY" \
--header "Brightalk-Version: 2026-07-16"const response = await fetch("https://api.brightalk.ai/contacts/con_demo_001", {
method: "GET",
headers: {
Authorization: `Bearer ${process.env.BRIGHTALK_API_KEY}`,
"Brightalk-Version": "2026-07-16",
},
});
console.log(response.status, await response.json());import os
import requests
response = requests.request(
"GET",
"https://api.brightalk.ai/contacts/con_demo_001",
headers={
"Authorization": f"Bearer {os.environ['BRIGHTALK_API_KEY']}",
"Brightalk-Version": "2026-07-16",
},
)
print(response.status_code, response.json()){
"id": "con_demo_001",
"external_id": "customer-8421",
"source": "public_api",
"name": "Example Customer",
"phone_number": "+12025550123",
"email": "customer@example.com",
"company": "Example Co.",
"role": "Operations Manager",
"city": "Taipei",
"country": "TW",
"created_at": "2026-07-20T01:00:00Z",
"updated_at": "2026-07-20T01:00:00Z"
}授權
Use a server-side Brightalk API key in the Authorization header.
標頭
選擇以日期為基礎的 API 版本。省略時會使用組織固定的預設版本。
Allowed value:
"2026-07-16"由呼叫端產生且符合 [A-Za-z0-9._:-]{1,64} 的關聯值。無效值會被取代。
Maximum string length:
64Pattern:
^[A-Za-z0-9._:-]{1,64}$路徑參數
不透明的聯絡人識別碼。 不透明的資源識別碼。
Required string length:
1 - 255範例:
"con_demo_001"
回應
已傳回聯絡人。
不透明的資源識別碼。
Required string length:
1 - 255範例:
"con_demo_001"
由呼叫端管理的外部識別。
範例:
"customer-8421"
外部識別命名空間。
範例:
"public_api"
範例:
"Example Customer"
Pattern:
^\+[1-9]\d{7,14}$範例:
"+12025550123"
聯絡人的電子郵件地址。
範例:
"customer@example.com"
聯絡人的公司。
範例:
"Example Co."
聯絡人的職務。
範例:
"Operations Manager"
聯絡人的城市。
範例:
"Taipei"
聯絡人的國家或地區。
範例:
"TW"
聯絡人的建立時間。
範例:
"2026-07-20T01:00:00Z"
聯絡人上次更新的時間。
範例:
"2026-07-20T01:00:00Z"